import { SVGProps } from 'react';
import { ScalarValue } from '../../types';
export interface AnnotationEllipseProps extends Omit<SVGProps<SVGEllipseElement>, 'x1' | 'x2' | 'y1' | 'y2' | 'cx' | 'cy' | 'rx' | 'ry'> {
    x: ScalarValue;
    y: ScalarValue;
    rx: ScalarValue;
    ry: ScalarValue;
}
export declare function Ellipse(props: AnnotationEllipseProps): JSX.Element;
