import { SVGProps } from 'react';
import { ScalarValue } from '../../types';
export interface AnnotationLineProps extends Omit<SVGProps<SVGLineElement>, 'x' | 'y' | 'x1' | 'x2' | 'y1' | 'y2' | 'stroke'> {
    x1: ScalarValue;
    x2: ScalarValue;
    y1: ScalarValue;
    y2: ScalarValue;
    color?: string;
}
export declare function Line(props: AnnotationLineProps): JSX.Element;
