import { SVGProps } from 'react';
import { ScalarValue } from '../../types';
export interface AnnotationPolylineProps extends Omit<SVGProps<SVGPolylineElement>, 'x1' | 'x2' | 'y1' | 'y2' | 'points'> {
    points: {
        x: ScalarValue;
        y: ScalarValue;
    }[];
    color?: string;
}
export declare function Polyline(props: AnnotationPolylineProps): JSX.Element;
