import { CSSProperties, MouseEventHandler } from 'react';
import { ScalarValue } from '../../types';
export declare type AnnotationShapeName = 'triangle' | 'circle' | 'diamond' | 'square';
export interface AnnotationShapeProps {
    x: ScalarValue;
    y: ScalarValue;
    shape: AnnotationShapeName;
    size: number;
    style?: CSSProperties;
    color?: string;
    onMouseEnter?: MouseEventHandler<SVGGElement>;
    onMouseLeave?: MouseEventHandler<SVGGElement>;
}
export declare function Shape(props: AnnotationShapeProps): JSX.Element;
