/// <reference types="react" />
import type { CSSFuncProps, SeriesPoint, Shape } from '../../types';
import { ScatterSeriesProps } from './ScatterSeries';
export interface LineSeriesProps<T extends SeriesPoint = SeriesPoint> extends Omit<ScatterSeriesProps<T>, 'markerShape' | 'lineStyle' | 'displayLines'> {
    data: ReadonlyArray<T>;
    markerShape?: Shape;
    lineStyle?: CSSFuncProps<{
        id: string;
    }>;
}
export declare function LineSeries<T extends SeriesPoint = SeriesPoint>(props: LineSeriesProps<T>): JSX.Element | null;
