import { CSSProperties } from 'react';
import { ControllerHookOptions, DualAxisOptions } from './types';
export interface UseCrossHairOptions extends ControllerHookOptions, DualAxisOptions {
    color?: CSSProperties['stroke'];
    textStyle?: CSSProperties;
    textTransform?: string;
    lineStyle?: CSSProperties;
}
export declare function useCrossHair(options?: UseCrossHairOptions): {
    annotations: null;
} | {
    annotations: JSX.Element;
};
