"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Polyline = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const hooks_1 = require("../../hooks");
function Polyline(props) {
    const { points: oldPoints, color, ...polylineProps } = props;
    const points = (0, hooks_1.usePointPosition)(oldPoints);
    return ((0, jsx_runtime_1.jsx)("polyline", { stroke: color, fill: "none", points: points, ...polylineProps }));
}
exports.Polyline = Polyline;
