import { jsx as _jsx } from "react/jsx-runtime";
import { useEllipsePosition } from '../../hooks';
export function Circle(props) {
    const { x, y, r: oldR, color, ...otherProps } = props;
    const { cx, cy, rx: r, } = useEllipsePosition({
        cx: x,
        cy: y,
        rx: oldR,
        ry: oldR,
    });
    return _jsx("circle", { cx: cx, cy: cy, r: r, fill: color, ...otherProps });
}
//# sourceMappingURL=Circle.js.map