import { SVGProps } from 'react';
import { ScalarValue } from '../../types';
export interface AnnotationDirectedEllipseProps extends Omit<SVGProps<SVGEllipseElement>, 'x1' | 'x2' | 'y1' | 'y2' | 'cx' | 'cy' | 'rx' | 'ry' | 'x' | 'y' | 'width'> {
    x1: ScalarValue;
    y1: ScalarValue;
    x2: ScalarValue;
    y2: ScalarValue;
    width: ScalarValue;
}
export declare function DirectedEllipse(props: AnnotationDirectedEllipseProps): JSX.Element;
