import { jsx as _jsx } from "react/jsx-runtime";
import { usePointPosition } from '../../hooks';
export function Polyline(props) {
    const { points: oldPoints, color, ...polylineProps } = props;
    const points = usePointPosition(oldPoints);
    return (_jsx("polyline", { stroke: color, fill: "none", points: points, ...polylineProps }));
}
//# sourceMappingURL=Polyline.js.map