import { CSSProperties } from 'react';
import { ControllerHookOptions } from './types';
export interface UseAxisZoomOptions extends ControllerHookOptions {
    direction?: 'horizontal' | 'vertical';
    axisId?: string;
    color?: CSSProperties['stroke'];
    rectangleStyle?: CSSProperties;
    lineStyle?: CSSProperties;
}
export declare function useAxisZoom(options?: UseAxisZoomOptions): {
    annotations: null;
} | {
    annotations: JSX.Element;
};
