/// <reference types="react" />
import { ControllerHookOptions, DualAxisOptions, RectangleOptions } from './types';
export interface UseDrawRectangleOptions extends ControllerHookOptions, DualAxisOptions, RectangleOptions {
    onEnd?: (rectangle: {
        x1: number;
        x2: number;
        y1: number;
        y2: number;
    }) => void;
}
export declare function useDrawRectangle(options?: UseDrawRectangleOptions): {
    annotations: JSX.Element | null;
};
